package com.bcxin.ars.model.sb;

import com.bcxin.ars.model.BaseModel;

/**
 * 保安员证缴费订单
 */
public class PersonCertificateOrder extends BaseModel {

    /** 订单号 */
    private String ordernumber;

    /** 随机订单号 */
    private String random_orderno;

    /** 订单状态 0异常1支付成功2待支付3已取消 */
    private String orderstate;

    /** 缴费时间 */
    private String payDate;

    /** 是否需要寄送发票 */
    private Boolean needInvoice;

    /** 发票信息名称 */
    private String invoicename;

    /** 发票信息ID */
    private Integer invoiceid;

    /** 寄送地址 */
    private String sendaddress;

    /** 签收人 */
    private String signatory;

    /** 联系电话 */
    private String tel;

    /** 单价 */
    private String unitprice;

    /** 购买人数 */
    private Integer countnumber;

    /** 金额 */
    private String amount;

    /** 其他 */
    private String remarks;

    /** 购买保安公司名称 */
    private String companyname;


    public String getOrdernumber() {
        return ordernumber;
    }

    public void setOrdernumber(String ordernumber) {
        this.ordernumber = ordernumber == null ? null : ordernumber.trim();
    }

    public String getRandom_orderno() {
        return random_orderno;
    }

    public void setRandom_orderno(String random_orderno) {
        this.random_orderno = random_orderno == null ? null : random_orderno.trim();
    }

    public String getOrderstate() {
        return orderstate;
    }

    public void setOrderstate(String orderstate) {
        this.orderstate = orderstate == null ? null : orderstate.trim();
    }

    public String getPayDate() {
        return payDate;
    }

    public void setPayDate(String payDate) {
        this.payDate = payDate == null ? null : payDate.trim();
    }

    public Boolean getNeedInvoice() {
        return needInvoice;
    }

    public void setNeedInvoice(Boolean needInvoice) {
        this.needInvoice = needInvoice;
    }

    public String getInvoicename() {
        return invoicename;
    }

    public void setInvoicename(String invoicename) {
        this.invoicename = invoicename == null ? null : invoicename.trim();
    }

    public Integer getInvoiceid() {
        return invoiceid;
    }

    public void setInvoiceid(Integer invoiceid) {
        this.invoiceid = invoiceid;
    }

    public String getSendaddress() {
        return sendaddress;
    }

    public void setSendaddress(String sendaddress) {
        this.sendaddress = sendaddress == null ? null : sendaddress.trim();
    }

    public String getSignatory() {
        return signatory;
    }

    public void setSignatory(String signatory) {
        this.signatory = signatory == null ? null : signatory.trim();
    }

    public String getTel() {
        return tel;
    }

    public void setTel(String tel) {
        this.tel = tel == null ? null : tel.trim();
    }

    public String getUnitprice() {
        return unitprice;
    }

    public void setUnitprice(String unitprice) {
        this.unitprice = unitprice == null ? null : unitprice.trim();
    }

    public Integer getCountnumber() {
        return countnumber;
    }

    public void setCountnumber(Integer countnumber) {
        this.countnumber = countnumber;
    }

    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount == null ? null : amount.trim();
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks == null ? null : remarks.trim();
    }

    public String getCompanyname() {
        return companyname;
    }

    public void setCompanyname(String companyname) {
        this.companyname = companyname == null ? null : companyname.trim();
    }
}